# Übungen Software-Entwicklung 3: Anforderungsanalyse

## Ausgangslage

Da wir noch keine gemeinsame Vorlesung hatten, müssen wir ein bisschen improvisieren - das macht nichts.

Heute wird noch nichts programmiert! Heute werden wir uns mit der Anforderungsanalyse beschäftigen. D.h. Sie definieren in Ihrer Gruppe welches Projektthema Sie bearbeiten und stecken dafür erste Rahmenbedingungen. Lassen Sie Ihrer Kreativität freien Lauf!

## Aufgabe

* Suchen Sie sich ein Team mit einer Gruppengröße zwischen 5 - 7 Personen.
* Einigen Sie sich auf ein Projektthema welches Sie in diesem Semester umsetzen möchten. Fast alle Themen sind erlaubt. Nur eine Medienverwaltung ist bereits von mir reserviert.
* Überlegen Sie sich mögliche Funktionen für Ihr Projekt und halten diese fest.
* Was ist Ihnen bereits jetzt besonders wichtig und was nicht?
* Können die Anforderungen kategorisiert werden?
* **Die verbindliche Festlegung des Projektthemas erfolgt nächste Woche**. Wenn Ihnen in der ersten Erarbeitung auffällt, dass das Projekt nicht geeignet ist, ist das kein Problem.

## Tipps

* Teilen Sie Ihre Gruppe in eine Fachabteilung und in eine Entwicklungsabteilung auf. Gibt es unterschiedliche Sichtweisen oder Anforderungen? Diskutieren Sie diese! Wechseln Sie auch die Rollen.
* Fällt Ihnen kein Thema ein, kommen Sie gerne auf die Tutoren und mich zu.

## Ziele (nach der Vorlesung)

* Sie wissen welches Projektthema während des Semesters bearbeiten möchten.
* Sie haben erste Scribbles Ihrer Anwendung erstellt.
* User Stories beschreiben was User mit Ihrer Anwendung machen können.
* Ein Use-Case-Diagram beschreibt die Rollen und Anwendungsfälle Ihres Projekts.
* Sie wissen welche Anforderungen in Ihrem MVP enthalten sein werden.
* Ihre Anforderungen sind kategorisiert nach:
  * Funktionale Anforderungen
  * Nicht-Funktionale Anforderungen
  * Fachliche Anforderungen
  * Technische Anforderungen